import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature} from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/wenleicao/296b74bc0269758ef1e010e323f0d6e6/raw/830ec4a363dd5a35ee3a66d0917a42d57de7132b/Massachusetts_school_district_topojson.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data);

  useEffect(() => {
        json(jsonUrl).then(topojsonData => {
          const {SCHOOLDISTRICTS_POLY} = topojsonData.objects;
          setData(feature(topojsonData, SCHOOLDISTRICTS_POLY));});
  }, []);
  
  return data;
};


